Currency info
Currency details and profile
GET
/openapi/v1/currencies/{currency_id}Refresh: 5 min
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| currency_id | String | Required | Currency ID |
Request Example
curl "https://openapi.sosovalue.com/openapi/v1/currencies/1673723677362319866" \ -H "x-soso-api-key: $SOSO_API_KEY"
Response Example
{
"currency_id": "1673723677362319867",
"name": "ethereum",
"symbol": "ETH",
"introduction": "Bitcoin (BTC) is a decentralized digital currency...",
"sector": [
{
"id": "1",
"name": "DeFi"
}
],
"icon": "https://...",
"contracts": [
{
"chain": "Ethereum",
"contract": "0x..."
}
],
"white_paper": "https://ethereum.org/en/whitepaper/",
"first_issue_time": "1438242398585",
"explorers": [
"https://etherscan.io/",
"https://platform.arkhamintelligence.com/explorer/token/ethereum",
"https://ethplorer.io/"
],
"community": {
"twitter": "https://twitter.com/ethereum",
"reddit": "https://www.reddit.com/r/ethereum"
},
"significant_events": [
{
"time": "1510070400000",
"content": "Anatoly Yakovenko published the whitepaper on \"Proof of History (PoH)\"..."
}
]
}Response Fields
| Field | Type | Description |
|---|---|---|
| currency_id | String | Currency ID |
| name | String | Currency full name |
| symbol | String | Currency symbol |
| introduction | String | Currency description |
| sector | Array[Object] | Sector list |
| sector[].id | String | Sector ID |
| sector[].name | String | Sector name |
| icon | String | Currency icon URL |
| contracts | Array[Object] | Contract address list |
| contracts[].chain | String | Chain name |
| contracts[].contract | String | Contract address |
| white_paper | String | Whitepaper URL |
| first_issue_time | String | First issuance time (timestamp) |
| explorers | Array[String] | Block explorer URLs |
| community | Object | Community links |
| community.twitter | String | Twitter URL |
| community.reddit | String | Reddit URL |
| significant_events | Array[Object] | Significant events list |
| significant_events[].time | String | Event time (timestamp) |
| significant_events[].content | String | Event description |